#
# spec file for package zoneminder (Version 1.22.0) SuSE 10.x
#
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to monex@liquid-co.de
#

# norootforbuild

%define build_mp_package 0
%define crash_trace 0
%if %build_mp_package
Name:			ZoneMinder-MP
%else
Name:			ZoneMinder
%endif
BuildRequires:  	apache2 php5 apache2-mod_php5 php5-mysql php5-bz2 php5-gd php5-zlib php5-iconv php5-mcrypt php5-sockets openssl-devel libjpeg-devel mysql-devel pcre-devel gcc gcc-c++ perl perl-Archive-Tar perl-Archive-Zip perl-DBI perl-DBD-mysql perl-Crypt-SSLeay perl-XML-Parser perl-libwww-perl perl-DateManip perl-MIME-Lite perl-MIME-tools vorbis-tools mysql mysql-client mysql-shared mysql-devel libjpeg-devel
%if %build_mp_package
BuildRequires:		 faac faad2 faad2-devel ffmpeg lame libffmpeg0 libffmpeg0-devel libmp4v2 libmp4v2-devel x264 x264-devel xvid xvid-devel
%endif
Requires:		perl = %perl_version
Requires: 		apache2 netpbm php5 apache2-mod_php5 php5-mysql php5-bz2 php5-gd php5-zlib php5-iconv php5-mcrypt php5-sockets python mysql perl-Archive-Tar perl-Archive-Zip perl-DBI perl-DBD-mysql perl-Crypt-SSLeay perl-XML-Parser perl-libwww-perl perl-DateManip perl-MIME-Lite perl-MIME-tools
%if %build_mp_package
Requires:		ffmpeg libffmpeg0 lame
%endif
%if %build_mp_package
Conflicts:		ZoneMinder
%endif
License:		GPL
Group:			Productivity/Networking/Web/Servers
Summary:		video camera security and surveillance
Version:		1.22.3
Release:		21
Packager:		Monex <monex@liquid-co.de>
URL:			http://www.zoneminder.com/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Source0:		ZoneMinder-%{version}.tar.gz
Source1:		zm.init
Source2:		zm_database_init
Source3:		cambozola.jar
Source4:		README.cambozola.html
Source5:		LICENSE.cambozola
Source6:		zm.logrotate
Source7:		zm.apache
Patch1:		chown_new.patch
Patch2:		chown.patch
Patch3:		zm.conf.patch
Patch4:		zm_database_default_config.patch
Patch5:		rotate.patch
Patch6:		zm-1.22.3-monpreset.patch
Patch7:		zm-1.22.3-filter.patch
Patch8:		newffmpeg.patch

%description
zoneminder is a video camera security and surveillance system for linux



Authors:
--------
    Philip Coombes <philip.coombes@zoneminder.com>

%description -l de
zoneminder ist eine video überwachungs suite für Linux



Authors:
--------
    Philip Coombes <philip.coombes@zoneminder.com>


%debug_package
%prep

%if %build_mp_package
%setup -q -n ZoneMinder-%{version}
%else
%setup -q
%endif
cp -a %SOURCE4 .
cp -a %SOURCE5 .
%if %suse_version > 1000
%patch1 -p1
%else
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
%patch7
%patch8 -p1
%if %suse_version > 1000
aclocal
autoconf
automake
%endif

%build
./configure \
  --with-mysql=/usr/include/mysql \
  --with-webdir=/srv/www/htdocs/zm \
  --with-cgidir=/srv/www/cgi-bin \
  --sysconfdir=/etc \
  --bindir=/usr/bin \
%if %build_mp_package
  --with-ffmpeg=/usr/include/ffmpeg \
  --with-lame=%_libdir \
%else
  --without-ffmpeg \
  --without-lame \
%endif
%ifarch x86_64
  --with-libarch=lib64 \
%else
  --with-libarch=lib \
%endif
  --with-webuser=wwwrun \
  --with-webgroup=www \
  --enable-debug=yes \
%if %crash_trace
  --enable-crashtrace=yes \
%else
  --disable-crashtrace \
%endif
  ZM_DB_HOST=localhost \
  ZM_DB_NAME=zm \
  ZM_DB_USER=zm_admin \
  ZM_DB_PASS=pass

make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f %buildroot/srv/www/htdocs/zm/index.php
cp %buildroot/srv/www/htdocs/zm/zm.php %buildroot/srv/www/htdocs/zm/index.php
%perl_process_packlist
touch %buildroot/srv/www/htdocs/zm/lock
install -m 700 -d %buildroot/srv/www/htdocs/zm/db
install -m 600 db/*.sql %buildroot/srv/www/htdocs/zm/db
for f in /etc/logrotate.d /etc/init.d /usr/sbin /etc/cron.hourly/ /var/log /etc/apache2/conf.d
do
	install -d %buildroot/$f
done
install -m 754 %{SOURCE1} %buildroot/etc/init.d/zm
install -m 700 %{SOURCE2} %buildroot/usr/sbin/zm_database_init
ln -s ../../etc/init.d/zm %buildroot/usr/sbin/rczm
install -m 644 %{SOURCE3} %buildroot/srv/www/htdocs/zm/
install -m 775 -d %buildroot/var/log/zm
install -m 644 %{SOURCE6} %buildroot/etc/logrotate.d/zm
install -m 644 %{SOURCE7} %buildroot/etc/apache2/conf.d/zm.conf
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /srv/www/htdocs/zm
%dir /srv/www/htdocs/zm/db
%dir /srv/www/htdocs/zm/graphics
/srv/www/htdocs/zm/db/*.sql
/srv/www/htdocs/zm/cambozola.jar
%defattr(-,wwwrun,www)
%dir /srv/www/htdocs/zm/events
%dir /srv/www/htdocs/zm/images
%dir /srv/www/htdocs/zm/sounds
%dir /srv/www/htdocs/zm/temp
/srv/www/cgi-bin/nph-zms
/srv/www/cgi-bin/zms
/srv/www/htdocs/zm/favicon.ico
/srv/www/htdocs/zm/graphics/*.gif
/srv/www/htdocs/zm/*.php
/srv/www/htdocs/zm/*.css
/etc/apache2/conf.d/*.conf
%dir /var/run/zm

%defattr(-,root,root)
/var/adm/perl-modules/%{name}
%perl_sitearch/auto/ZoneMinder/.packlist
%perl_sitelib/ZoneMinder.pm
%perl_sitelib/ZoneMinder/*.pm
%perl_sitelib/ZoneMinder/Trigger/*.pm
%perl_sitelib/ZoneMinder/Trigger/Channel/*.pm
%perl_sitelib/ZoneMinder/Trigger/Connection/Example.pm
/usr/bin/zma
/usr/bin/zmc
/usr/bin/*.pl
/usr/bin/zmf
/usr/bin/zmfix
/usr/bin/zmu
/srv/www/htdocs/zm/lock
%config(noreplace) /etc/init.d/zm
%_sbindir/zm_database_init
%_sbindir/rczm
%_mandir/man3/*
/etc/logrotate.d/zm
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* LICENSE*
%defattr(640,root,www)
%config(noreplace) /etc/zm.conf
%defattr(-,root,www)
%dir /var/log/zm

%post -p /sbin/ldconfig

%preun
%stop_on_removal zm

%postun
%restart_on_update zm
%insserv_cleanup
/sbin/ldconfig

%if %build_mp_package
%changelog -n ZoneMinder-MP
%else
%changelog -n ZoneMinder
%endif
* Thu Nov 29 2007 - monex@liquid-co.de
- union spec file for MP and normal package
- renamed MP package to ZoneMinder-MP
- ZoneMinder-MP now conflicts with normal zm package
* Wed Oct 17 2007 - monex@liquid-co.de
- added zm.conf to apache conf.d for enabling open short tags
* Wed Jul 25 2007 - monex@liquid-co.de
- updated chown patch
* Wed May 30 2007 - monex@liquid-co.de
- applied zm-1.22.3-filter.patch from zm homepage
* Sun May 20 2007 - monex@liquid-co.de
- added debug_package macro
* Wed Feb 21 2007 - monex@liquid-co.de
- added options to zm_database script:
  - '-h', '--host" to take the mysql hostname
  - '--help' for short usage instructions
- config file will be updated with new database host when specified
* Mon Feb 19 2007 - monex@liquid-co.de
- applied monitor preset patch from zoneminder website
* Wed Feb 14 2007 - monex@liquid-co.de
- zm_database_init script will now accept 'y' for config edit question
* Tue Feb 6 2007 - monex@liquid-co.de
- rotate patch fixed. now it should work correct.
* Mon Feb 5 2007 - monex@liquid-co.de
- added rotate patch for nph-zms and zms
- added all perl modules to required that are also in buildrequires
- added netpbm to requires
- netpbm is now activated by default
* Mon Jan 22 2007 - monex@liquid-co.de
- added author to init script
- fixed typo on service start in init script
- fixed usedforbuild
* Thu Jan 18 2007 - monex@liquid-co.de
- changed rpm group to Productivity/Networking/Web/Servers
* Sun Jan 14 2007 - monex@liquid-co.de
- removed gcc41 and gcc41-c++ from requires for 10.2. this will be resolved due to dependencies
- improved zm_database_init skript for not entering the root password twice
* Wed Jan 10 2007 - monex@liquid-co.de
- fixed build for sl version < 10.2
* Mon Jan 1 2007 - monex@liquid-co.de
- fixed build for sl version 10.2
* Wed Dec 27 2006 - monex@liquid-co.de
- added perl with version build against to requires
* Fri Dec 8 2006 - monex@liquid-co.de
- added check for correct db update path to zm_init_db script
- added ctrl-c exception handling in zm_init_db script
- changed all default paths from /usr/local/bin to /usr/bin
* Thu Dec 7 2006 - monex@liquid-co.de
- redownload ZoneMinder because of some trouble in first version
- fixed upgrade with zm_database_init script
- added php5-sockets to requires
* Mon Dec 4 2006 - monex@liquid-co.de
- email address correcting in changelog
- adjusted socket default parameter to /var/run/zm
- adjusted extra logs to /var/log/zm
* Sat Dec 2 2006 - monex@liquid-co.de
- status now is correct displayed in zm init script
- correct status when starting zm with init script is now displayed
- updated required php modules
- changed zm_database_init skript os that you will be asked to perform an update. this is usefull when update was
  performed with zmupdate.pl before and you want to remove lockfile and update version string in config file
- updated zm init skript, so that it is possible to shut down zm even if lockfile still exist. in this case exit value
  will be always true. but when lockfile is not present, the real exit value will be used.
* Tue Nov 28 2006 - monex@liquid-co.de
- repaired update functionality in zm_database_init skript. you could now use this script to successfully update
- added more specific logrotate file for every logfile
- added reload option to init skript
- added reloading zm when logrotation is done
- now using startproc in init script to start zoneminder. this result in starting perl processes in background and
  processes wil not be a child from the bash shell. (beware when setting dependencies to zm in other startup scripts)
* Fri Nov 24 2006 - monex@liquid-co.de
- update to version 1.22.3
* Mon Nov 20 2006 - monex@liquid-co.de
- added macro "perl_process_packlist" to create suseconfig script for ZoneMinder in /var/adm/perl-modules
* Sun Nov 19 2006 - monex@liquid-co.de
- fixed init status display in init skript. status now will be correct displayed
- fixed display of correct filname to init database
- config now not readable anymore for anyone on system
- added graphics directory in webdir
- added cambozola by default
- adjust default config for enabeling cambozola by default
- service now will be stopped on uninstall
- service zm will be restarted after update
- insserv will be cleaned up on uninstall
- added logrotate skript (maybe better one later)
* Sat Nov 18 2006 - monex@liquid-co.de
- initial package
